﻿using CaseAccountingDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CaseAccountingContracts.BindingModels
{
	public class CaseBindingModel : ICaseModel
	{
		public int Id { get; set; }

		public string Name { get; set; } = string.Empty;

		public string Applicant { get; set; } = string.Empty;

		public string Defendant { get; set; } = string.Empty;

		public string Annotation { get; set; } = string.Empty;

		public DateTime Date { get; set; } = DateTime.SpecifyKind(DateTime.Now, DateTimeKind.Utc);

		public int SpecializationId { get; set; }

		public int UserId { get; set; }

		public Dictionary<int, ILawyerModel> Lawyers { get; set; } = new();
    }
}
